{ config, pkgs, lib, ... }:
{

  test.services.syncthing = {
    enable = true;
    openDefaultPorts = false;
    user = "palo";
    dataDir = "/home/palo/.syncthing";
    configDir = "/home/palo/.syncthing";
    declarative = {
      cert = toString <secrets/syncthing/cert.pem>;
      key = toString <secrets/syncthing/key.pem>;

      overrideFolders = true;
      folders = {

        book.path = "/home/palo/books";
        desktop-encrypted.path = "/home/palo/.desktop.ct";
        finance-encrypted.path = "/home/palo/.finance.ct";
        fotos-encrypted.path = "/home/palo/private/.fotos.ct";
        kruck-pepe.path = "/home/palo/pepe-kruck";
        music-library.path = "/home/palo/music-library";
        music-projects.path = "/home/palo/music-projects";
        porani-pepe.path = "/home/palo/pepe-porani";
        schasch-pepe.path = "/home/palo/pepe-schasch";
        smartphone-fotos.path = "/home/palo/smartphone-fotos";
        workout-pepe.path = "/home/palo/pepe-workout";

      };
    };
  };
}
