{ config, lib, pkgs, ... }:
{


  services.xserver = {
    enable = true;
    autorun = false;
    desktopManager = {
      kodi.enable = true;
      default = "kodi";
      xterm.enable = false;
    };
    displayManager.lightdm = {
      enable           = true;
      autoLogin.enable = true;
      autoLogin.user   = config.users.users.kodi.name;
    };
  };

  users = {
    # mutableUsers = true;
    users.kodi= {
      isNormalUser = true;
      name = "kodi";
      uid = 1338;
      initialPassword = lib.fileContents <secrets/kodi/password>;
    };
  };

}
