{ config, pkgs, lib, ... }:
{


  imports = [

    <system/desktop>
    ./hardware-configuration.nix

    ./encfs.nix
    ./packages.nix
    ./syncthing.nix
    ./tinc.nix

    #./wifi-access-point.nix

  ];

  networking.hostName   = "sterni";

  system.custom.wifi.interfaces = ["wlp3s0"];

  security.wrappers = {
    pmount.source   = "${pkgs.pmount}/bin/pmount";
    pumount.source  = "${pkgs.pmount}/bin/pumount";
  };

  # keybase
  services.keybase.enable = true;
  services.kbfs.enable = true;

  programs.custom.steam.enable = false;
  programs.custom.video.enable = false;

  services.printing.enable = true;

  # fonts
  # -----
  programs.custom.urxvt.fontSize  = 12;
  programs.custom.xterm.fontSize  = 12;
  system.custom.fonts.dpi = 100;

  virtualisation = {
    docker.enable = false;

    virtualbox = {
      host.enable  = false;
      guest.x11    = false;
      guest.enable = false;
    };
  };

  configuration.desktop = {
    width = 1366;
    height = 768;
  };

  custom.samba-share.folders = {
    enable = false;
    public = "/home/palo/movies";
  };

}


