{ config, pkgs, lib, ... }:
{

  test.services.syncthing = {
    enable = true;
    openDefaultPorts = false;
    user = "palo";
    dataDir = "/home/palo/.syncthing";
    configDir = "/home/palo/.syncthing";
    declarative = {
      cert = toString <secrets/syncthing/cert.pem>;
      key = toString <secrets/syncthing/key.pem>;

      overrideFolders = true;
      folders = {

        book.path = "/home/palo/books";
        desktop-encrypted.path = "/home/palo/.desktop.ct";
        finance-encrypted.path = "/home/palo/.finance.ct";
        fotos-encrypted.path = "/home/palo/private/.fotos.ct";
        music-library.path = "/home/palo/music-library";
        music-projects.path = "/home/palo/music-projects";

      };
    };
  };
}
