{ config, lib, pkgs, ... }:
{

  services.nginx = {
    enable = true;
    statusPage = true;
    virtualHosts = {
      "seafile.${config.networking.hostName}.private" = {
        serverAliases = [];
        locations."/" = {
          proxyPass = "http://${config.networking.hostName}.private:${toString config.custom.services.seafile.port}";
        };
      };
    };
  };

  custom.services.seafile = {
    enable = true;
    hostname = "seafile.gaykraft.com";
    port = 3030;
    home = "/home/seafile";
  };

  virtualisation.docker.enable = lib.mkDefault true;

}
