{ config, pkgs, lib, ... }:
{

  test.services.syncthing = {
    enable = true;
    openDefaultPorts = false;
    user = "palo";
    dataDir = "/home/palo/.syncthing";
    configDir = "/home/palo/.syncthing";
    declarative = {
      cert = toString <secrets/syncthing/cert.pem>;
      key = toString <secrets/syncthing/key.pem>;

      overrideFolders = true;
      folders = {

        book.path = "/home/palo/books";
        desktop-encrypted.path = "/home/palo/.desktop.ct";
        finance-encrypted.path = "/home/palo/.finance.ct";
        fotos-encrypted.path = "/home/palo/private/.fotos.ct";
        kruck-workout.path = "/home/palo/workout-kruck";
        music-library-free.path = "/home/palo/music-library-free";
        music-library.path = "/home/palo/music-library";
        music-projects.path = "/home/palo/music-projects";
        porani-workout.path = "/home/palo/workout-porani";
        samples.path = "/home/palo/samples";
        schasch-workout.path = "/home/palo/workout-schasch";
        smartphone-fotos.path = "/home/palo/smartphone-fotos";
        smartphone-music.path = "/home/palo/smartphone-music";
        video-material.path = "/home/palo/video-material";
        workout-pepe.path = "/home/palo/workout-pepe";
        windows-sync.path = "/home/palo/windows-sync";


      };
    };
  };

}

