# This overlay extends nixpkgs .

self: super:

let
  callPackage = super.lib.callPackageWith super;
  unstablePkgs = import <nixpkgs-unstable> {};
in

{
  haskellPackages = super.haskellPackages.override {
    overrides = self: super: {
      image-generator = super.callPackage ./image-generator {};
    };
  };

  bitwig-studio1 = super.bitwig-studio1.override{
    libxkbcommon = super.libxkbcommon.overrideAttrs( old: rec {
      name = "libxkbcommon-0.7.2";
      src = super.fetchurl {
        url = "https://xkbcommon.org/download/${name}.tar.xz";
        sha256 = "1n5rv5n210kjnkyrvbh04gfwaa7zrmzy1393p8nyqfw66lkxr918";
      };
    });
  };

  gitlog2json = callPackage ./gitlog2json {};

  bitwig-studio3 = callPackage ./bitwig-studio/bitwig-studio3.nix {};

  bitwig-studio = callPackage ./bitwig-studio/bitwig-studio-environment.nix {};

  geodatabase = callPackage ./geodatabase {};

  landingpage = callPackage ./landingpage {};

  bepasty-client-cli = callPackage ./bepasty-client-cli {};

  emo = callPackage ./emoji {};

  q = callPackage ./q {};

  otpmenu  = callPackage ./otpmenu {};

  memo = callPackage ./memo {};

  castget = callPackage ./castget {};

  terranix = callPackage (super.fetchgit {
    url = "https://git.ingolf-wagner.de/terranix/terranix.git";
    # rev = "2.1.0";
    rev = "9daeaece7ce0cfedb18567e8acc332a22c5daec6";
    sha256 = "0ikdd08yhkb6qb078a6a7av6c2s60n8nnz80ws6w718x7sfmswhm";
  }) { };

  nixos-generators = callPackage (super.fetchgit {
    url = "https://github.com/nix-community/nixos-generators.git";
    rev = "e006f95894b91fccf903d1b0620c5a18879ab91f";
    sha256 = "1cx54d8zyvgwb2kzj4blkambbm278icrgw5y1nicj54qrs7398n6";
  }) { };

  radio-dj = callPackage (super.fetchgit {
    url = "https://git.ingolf-wagner.de/crashburn_radio/radio_dj.git";
    rev = "0.1.5";
    sha256 = "04j6gcb6ayrcf7rxr0bkgd48zppiryhdyv7mvp0q12ngdkf2yagd";
  }) { };

  lektor = let
    python = import ./lektor-with-plugins/requirements.nix { pkgs = super.pkgs; };
  in
    python.packages.Lektor;

}
