{ stdenv, fetchurl, ... }:

stdenv.mkDerivation rec {
  version = "20190702";
  name = "geocities-${version}";
  src = fetchurl {
    url = "https://geolite.maxmind.com/download/geoip/database/GeoLite2-City.tar.gz";
    sha256 = "0rd80jhgyv0pzmlcg0z8lmsn03yrcb8fj69cg87sjpy591bnki6x";
  };

  dontBuild = true;

  installPhase = ''
    mkdir -p $out/
    cp GeoLite2-City.mmdb $out/
  '';

  meta = with stdenv.lib; {
    description = "geo database";
    homepage = https://dev.maxmind.com/geoip/geoip2/geolite2/;
    license = licenses.MIT;
    platforms = platforms.linux;
    maintainers = with maintainers; [ mrVanDalo ];
  };
}
