{ config, lib, pkgs, ... }:
{

  module.backup.services.encfs =
    let
      mainUser = config.users.users.mainUser;
    in {
      "fotos" = {
        user = mainUser.name;
        bootDelay = 0;
        keyFile = toString <secrets/encfs/fotos>;
        encryptedFolder = "${mainUser.home}/private/.fotos.ct";
        decryptedFolder = "${mainUser.home}/fotos";
      };
      "desktop" = {
        user = mainUser.name;
        bootDelay = 0;
        keyFile = toString <secrets/encfs/desktop>;
        encryptedFolder = "${mainUser.home}/.desktop.ct";
        decryptedFolder = "${mainUser.home}/desktop";
      };
      "finance" = {
        user = mainUser.name;
        bootDelay = 0;
        keyFile = toString <secrets/encfs/finance>;
        encryptedFolder = "${mainUser.home}/.finance.ct";
        decryptedFolder = "${mainUser.home}/finance";
      };
    };
}
